Moodle Technical Requirements

On a PC

  • Firefox 3.x is recommended
  • Internet Explorer 8
  • Other browsers may be used, but may not support all functionalities in Moodle
  • Java, JavaScript and cookies enabled
  • Pop-up blocker disabled
  • Recommend ActiveX be enabled for Internet Explorer

On a Mac

  • Firefox 3.x is recommended
  • Other browsers may be used, but may not support all functionalities in Moodle
  • Java, JavaScript and cookies enabled
  • Pop-up blocker disabled
  • Requires Apple Java 5 or higher

A fast Internet connection is recommended.